# Perfect Song - mixer.py
#
# Copyright (C) 2015 Guillaume Tucker <guillaume@mangoz.org>
#
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU Lesser General Public License as published by the Free
# Software Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
# details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import sys
import splat.tools.make
import settings
from splat import dB

DEPS = ['settings.py']

GAP = 0.5

FRAGS = {
    'drums': (GAP, dB(-0)),
    'bass': (GAP - settings.BASS_DELAY, dB(-10)),
    'qwirks': (GAP, dB(-11)),
    }

if __name__ == '__main__':
    master = splat.data.Fragment(rate=settings.RATE)
    splat.tools.make.main_mixer(sys.argv, FRAGS, master)
